Summary: A Gnome based H323 teleconferencing application
Name: gnomemeeting
Version: 0.85.1
Release: 3
URL: http://www.gnomemeeting.org/
Source0: GnomeMeeting-%{version}.tar.gz
Patch: gnomemeeting-0.84-schemas.patch

License: GPL
Group: Applications/Communications
BuildRoot: %{_tmppath}/%{name}-root
Requires: openh323 >= 1.8.0-2
Requires: pwlib
Requires: GConf >= 1.0.8-4
BuildRequires: GConf-devel >= 1.0.8-4
BuildRequires: openh323-devel >= 1.8.0-2
BuildRequires: pwlib-devel
BuildRequires: automake
BuildRequires: autoconf

%description
GnomeMeeting is a tool to communicate with video and audio over the internet.
It uses the H323 protocol and is compatible with Microsoft Netmeeting.

%prep
%setup -q -n GnomeMeeting-%{version}
%patch -p1 -b .schemas
automake
autoconf

%build
%configure --disable-install-schemas --with-ptlib-includes=/usr/include/ptlib --with-openh323-includes=/usr/include/openh323
make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall

%find_lang GnomeMeeting

%clean
rm -rf $RPM_BUILD_ROOT

%post
export GCONF_CONFIG_SOURCE=`gconftool-1 --get-default-source`
gconftool-1 --makefile-install-rule %{_sysconfdir}/gconf/schemas/gnomemeeting.schema > /dev/null 2>&1
gconftool-1 --shutdown

%files -f GnomeMeeting.lang
%defattr(-,root,root)
%{_bindir}/gnomemeeting
%{_datadir}/gnome/apps/Internet/gnomemeeting.desktop
%{_datadir}/pixmaps/*
%{_datadir}/sounds/gnomemeeting
%{_sysconfdir}/sound/events/GnomeMeeting.soundlist
%{_sysconfdir}/gconf/schemas/gnomemeeting.schema

%changelog
* Mon Mar 11 2002 Alex Larsson <alexl@redhat.com> 0.85.1-3
- Update to new tarball from damien

* Fri Mar  8 2002 Alex Larsson <alexl@redhat.com> 0.85.1-1
- Update to 0.85.1 from upstream

* Wed Feb 27 2002 Alex Larsson <alexl@redhat.com> 0.84.0-3
- Require GConf 1.0.8-4

* Wed Feb 27 2002 Alex Larsson <alexl@redhat.com> 0.84.0-2
- Require GConf 1.0.8-2, shutdown gconf in %post

* Mon Feb 25 2002 Alex Larsson <alexl@redhat.com> 0.84.0-1
- Update to 0.84

* Tue Dec  4 2001 Alex Larsson <alexl@redhat.com>
- Updated to 0.12.2

* Sat Dec  1 2001 Alex Larsson <alexl@redhat.com>
- Update to 0.12

* Wed Sep 27 2001 Alex Larsson <alexl@redhat.com> 0.11-2
- Fix translations. Had wrong name in find_lang

* Wed Sep 19 2001 Alex Larsson <alexl@redhat.com> 0.11-1
- Update to 0.11

* Wed Aug 15 2001 Alexander Larsson <alexl@redhat.com> 0.10-2
- Added include order patch

* Wed Aug 15 2001 Alexander Larsson <alexl@redhat.com> 0.10-1
- Updated to 0.10

* Thu Jul  5 2001 Alex Larsson <alexl@redhat.com>
- Initial build.


